{% extends 'base.html' %}
{% load material_form %}
{% block content %}
    <div class="card-panel green"><h3 style="display: inline">{{ participant.nom_prenom }}</h3> équipe <h4
            style="display: inline">{{ participant.equipe }}</h4></div>
    <div class="card-panel lime lighten-1">
        <ul>
            <li>{% if participant.resp_civile %}
                Attestation de responsabilité civile
                <a href="{{ participant.resp_civile.url }}">{{ participant.resp_civile }}</a>
            {% else %}
                Attestation de responsabilité civile manquante
            {% endif %}
            </li>
            <li>
                {% if participant.certif_medic %}
                    Certificat médial <a href="{{ participant.certif_medic.url }}">{{ participant.certif_medic }}</a>
                {% else %}
                    Certificat médial manquant
                {% endif %}
            </li>
            <li>
                {% if participant.decharge_resp %}
                    Décharge <a href="{{ participant.decharge_resp.url }}">{{ participant.decharge_resp }}</a>
                {% else %}
                    Décharge manquant
                {% endif %}
            </li>
            <li>
                {% if participant.carte_edu %}
                    Preuve de carte étudiante <a href="{{ participant.carte_edu.url }}">{{ participant.carte_edu }}</a>
                {% elif participant.va_valide %}
                    Carte VA vérifiée : {{ participant.numero_VA }}
                {% else %}
                    Preuve de carte étudiante manquante. Carte VA N°{{ participant.numero_VA }} (si renseigné)
                {% endif %}
            </li>
        </ul>
        A payé :{{ participant.paiement_valide }}
        {% if participant.status == 2 %}<a href="/orga/payed/{{ participant.id }}/" class="btn">
            Vérifier le paiement sur billevent</a>{% endif %}
    </div>
    <div class="teal lighten-3 card-panel">
        <form method="POST" class="post-form" enctype="multipart/form-data" onSubmit="return verif()">
            {% csrf_token %}
            {% form form=form %}{% endform %}
            <button name="_submit" type="submit" class="save btn waves-effect waves-light" id="sauvegarder">
                Sauvegarder
            </button>
        </form>
    </div>
    <script>
        function verif() {
            //$('#ret').text($("select option:selected").val());
            var e = $("select option:selected").val();
            //Si le mec a séléctionné Valide
            var a = $("#id_resp_civile_valide").prop('checked');
            var b = $("#id_certif_medic_valide").prop('checked');
            var c = $("#id_decharge_resp_valide").prop('checked');
            //var d = $("#id_carte_edu_valide").prop('checked');
            //l'état des cases
            //$('#ret').text("VALIDE"+a+b);
            if ((a == false || b == false || c == false /*|| d == false*/) && e == "1") { //si le mec a validé le participant sans
                return confirm("Tous les documents du participant n'ont pas été validés !\n Voulez-vous continuer ?")  // que tous les documents soient vérifiés
            }
            //else{ return true}

        }
    </script>
    </script>
{% endblock %}